%define upstream_name    Email-MessageID
%define upstream_version 1.408

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate world unique message-ids
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Email::Address)
%description
Message-ids are optional, but highly recommended, headers that identify a
message uniquely. This software generates a unique message-id.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Mon Jan 02 2023 tv <tv> 1.408.0-1.mga9
+ Revision: 1928823
- update to 1.408

* Thu Oct 27 2022 tv <tv> 1.407.0-1.mga9
+ Revision: 1899634
- update to 1.407

* Sun Mar 20 2022 umeabot <umeabot> 1.406.0-6.mga9
+ Revision: 1803485
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.406.0-5.mga8
+ Revision: 1494439
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.406.0-4.mga7
+ Revision: 1267845
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.406.0-3.mga6
+ Revision: 1026904
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.406.0-2.mga6
+ Revision: 969184
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.406.0-1.mga6
+ Revision: 864357
- update to 1.406

* Sun Oct 19 2014 umeabot <umeabot> 1.405.0-4.mga5
+ Revision: 790120
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.405.0-3.mga5
+ Revision: 743369
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.405.0-2.mga5
+ Revision: 684625
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 1.405.0-1.mga5
+ Revision: 623937
- update to 1.405

* Sun Feb 09 2014 sander85 <sander85> 1.404.0-1.mga5
+ Revision: 587625
- update to 1.404

* Fri Oct 18 2013 umeabot <umeabot> 1.402.0-3.mga4
+ Revision: 511363
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.402.0-2.mga3
+ Revision: 366826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.402.0-1.mga1
+ Revision: 28528
- mageia rebuild
- imported package perl-Email-MessageID

